# List of Mandates for a PaymentMethod

Retrieves a list of Mandates for a given PaymentMethod.

## Returns

A dictionary with a `data` property that contains an array of Mandates. Each entry in the array is a separate Mandate object. If no Mandates are available, the resulting array will be empty.

## Parameters

- `status` (enum, required)
  The status of the mandates to retrieve. Status indicates whether or not you can use it to initiate a payment, and can have a value of `active`, `pending`, or `inactive`.
Possible enum values:
  - `active`
    The mandate can be used to initiate a payment.

  - `inactive`
    The mandate was rejected, revoked, or previously used, and may not be used to initiate future payments.

  - `pending`
    The mandate is newly created and is not yet active or inactive.

- `ending_before` (string, optional)
  A cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list.

- `limit` (integer, optional)
  A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

- `on_behalf_of` (string, optional)
  The Stripe account ID that the mandates are intended for. Learn more about the [use case for connected accounts payments](https://docs.stripe.com/docs/payments/connected-accounts.md).

- `starting_after` (string, optional)
  A cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list.

```curl
curl -G https://api.stripe.com/v1/mandates \
  -u "<<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-03-25.preview" \
  -d payment_method={{PAYMENT_METHOD_ID}} \
  -d status=active
```

### Response

```json
{
  "object": "list",
  "has_more": false,
  "url": "/v1/mandates",
  "data": [
    {
      "id": "mandate_1RpNYL2RM7tvzuemIyhnCrab",
      "object": "mandate",
      "customer_acceptance": {
        "accepted_at": 1753595721,
        "online": {
          "ip_address": "172.16.254.1",
          "user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)"
        },
        "type": "online"
      },
      "livemode": false,
      "multi_use": {},
      "payment_method": "pm_1RpNXw2RM7tvzuem88xCOsn5",
      "payment_method_details": {
        "type": "us_bank_account",
        "us_bank_account": {}
      },
      "status": "active",
      "type": "multi_use"
    }
  ]
}
```
